[BACK]Return to patch-tests_tests.sh CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / devel / deforaos-libsystem / patches

Annotation of pkgsrc/devel/deforaos-libsystem/patches/patch-tests_tests.sh, Revision 1.2

1.2     ! jperkin     1: $NetBSD: patch-tests_tests.sh,v 1.1 2014/09/16 19:25:51 khorben Exp $
1.1       khorben     2:
                      3: Avoid building the (experimental) Python binding.
1.2     ! jperkin     4: Use LD_LIBRARY_PATH to find pre-installed libraries.
1.1       khorben     5:
                      6: --- tests/tests.sh.orig        2014-08-29 19:23:48.000000000 +0000
                      7: +++ tests/tests.sh
1.2     ! jperkin     8: @@ -50,7 +50,7 @@
        !             9:        echo -n "$test:" 1>&2
        !            10:        (echo
        !            11:        echo "Testing: ./$test" "$@"
        !            12: -      "./$test" "$@") >> "$target" 2>&1
        !            13: +      env LD_LIBRARY_PATH=../src "./$test" "$@") >> "$target" 2>&1
        !            14:        res=$?
        !            15:        if [ $res -ne 0 ]; then
        !            16:                echo " FAIL" 1>&2
1.1       khorben    17: @@ -103,7 +103,7 @@ _test "includes"
                     18:  _test "string"
                     19:  _test "variable"
                     20:  echo "Expected failures:" 1>&2
                     21: -_fail "python.sh"
                     22: +#_fail "python.sh"
                     23:  if [ -n "$FAILED" ]; then
                     24:        echo "Failed tests:$FAILED" 1>&2
                     25:        exit 2

CVSweb <webmaster@jp.NetBSD.org>